INSTALLING AND UNINSTALLING POSTGRES WITH POSTGIS IN UBUNTU

How to install PostgreSQL 9.6 on any Ubuntu version

If we want to install the postgis with postgres then we have to use Postgres 9.6 version.

We can follow :-

https://askubuntu.com/questions/831292/how-to-install-postgresql-9-6-on-any-ubuntu-version

After installing postgres 9.6 then we can install the Postgis using :-

sudo apt-get install postgis

sudo apt install postgis postgresql-9.6-postgis-2.3 

then we have to add the postgis extension using :-

sudo -u postgres psql -c "CREATE EXTENSION postgis; CREATE EXTENSION postgis_topology;" database_name

http://www.gis-blog.com/how-to-install-postgis-2-3-on-ubuntu-16-04-lts/

How to uninstall PostgreSQL on any Ubuntu version

https://ubuntuforums.org/showthread.php?t=2277582

Solve postgres installation dependencies :-

https://gist.github.com/pyk/8243010

default: &default
    adapter: postgis
    encoding: unicode
    pool: 5

development:
    <<: *default
    database: databasename
    username: root
    password: 12345678
test:
    <<: *default
    database: databasename

production:
    <<: *default
    database: databasename

Popular posts from this blog

CARRIERWAVE - UPLOAD ANY MEDIA (AUDIO , VIDEO AND IMAGE ) FILE IN RAILS

SELECT COUNTRY WITH STATE AND IT'S CITIES RAILS

RAILS: UPLOADING PHOTOS VIA AMAZON S3 AND PAPERCLIP (UPLOADING FILES TO S3 IN RUBY WITH PAPERCLIP)

UNINITIALIZED CONSTANT PAPERCLIP::STORAGE::S3::AWS

CREATE API FOR USER SIGN UP, LOGIN AND CREATE PUBLISHER WITH CURRENT USER

HOW TO CALL RAILS API FROM SIMPLE HTML PAGE.

DEPLOYING PROJECT USING CAPISTRANO (CAPISTRANO IN RAILS)